SDL_DestroySemaphore(3)

NAME
SDL_DestroySemaphore - Destroy a semaphore.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_DestroySemaphore(SDL_Semaphore *sem);

DESCRIPTION
It is not safe to destroy a semaphore if there are threads currently waiting on it.

FUNCTION PARAMETERS

sem the semaphore to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateSemaphore(3)